Name:       kf5
Version:    5.115.0
Release:    1
Summary:    Filesystem and RPM macros for KDE Frameworks 5
License:    BSD-3-Clause
URL:        http://www.kde.org

Source0:    macros.kf5
Source1:    BSD-3-Clause.txt

%description
Filesystem and RPM macros for KDE Frameworks 5

%package filesystem
Summary:    Filesystem for KDE Frameworks 5
Requires:   kde-filesystem >= 5
Obsoletes:  kf5-filesystem < 5.10.0-2
%{?_qt5_version:Requires: qt5-qtbase%{?_isa} >= %{_qt5_version}}

%description filesystem
Filesystem for KDE Frameworks 5.

%package rpm-macros
Summary:    RPM macros for KDE Frameworks 5
Requires:   cmake >= 3 qt5-rpm-macros >= 5.11
Requires:   gcc-c++
BuildArch:  noarch

%description rpm-macros
RPM macros for building KDE Frameworks 5 packages.

%prep
cp %{SOURCE1} LICENSE

%install
mkdir -p %{buildroot}%{_prefix}/{lib,%{_lib}}/qt5/plugins/kf5/
mkdir -p %{buildroot}%{_includedir}/KF5
mkdir -p %{buildroot}%{_datadir}/{kf5,kservicetypes5}
mkdir -p %{buildroot}%{_datadir}/kservices5/ServiceMenus
mkdir -p %{buildroot}%{_datadir}/qlogging-categories5/
mkdir -p %{buildroot}%{_docdir}/qt5
mkdir -p %{buildroot}%{_libexecdir}/kf5
mkdir -p %{buildroot}%{_datadir}/locale/tok
mkdir -p %{buildroot}%{_prefix}/{lib,%{_lib}}/kconf_update_bin
mkdir -p %{buildroot}%{_datadir}/{config.kcfg,kconf_update}
mkdir -p %{buildroot}%{_datadir}/kpackage/{genericqml,kcms}
mkdir -p %{buildroot}%{_datadir}/knsrcfiles/
mkdir -p %{buildroot}%{_datadir}/solid/{actions,devices}
mkdir -p %{buildroot}%{_sysconfdir}/xdg/plasma-workspace/{env,shutdown}
install -Dpm644 %{_sourcedir}/macros.kf5 %{buildroot}%{_rpmconfigdir}/macros.d/macros.kf5
sed -i -e "s|@@KF5_VERSION@@|%{version}|g" %{buildroot}%{_rpmconfigdir}/macros.d/macros.kf5

%files filesystem
%license LICENSE
%{_prefix}/lib/qt5/plugins/kf5/
%{_prefix}/%{_lib}/qt5/plugins/kf5/
%{_includedir}/KF5/
%{_libexecdir}/kf5/
%{_datadir}/{kf5,kservices5,kservicetypes5}
%{_datadir}/qlogging-categories5/
%{_docdir}/qt5/
%{_datadir}/locale/tok
%{_sysconfdir}/xdg/plasma-workspace/
%{_prefix}/lib/kconf_update_bin/
%{_prefix}/%{_lib}/kconf_update_bin/
%{_datadir}/config.kcfg/
%{_datadir}/kconf_update/
%{_datadir}/kpackage/
%{_datadir}/knsrcfiles/
%{_datadir}/solid/

%files rpm-macros
%{_rpmconfigdir}/macros.d/macros.kf5

%changelog
* Mon Mar 11 2024 peijiankang <peijiankang@kylinos.cn> - 5.115.0-1
- update to version 5.115.0

* Tue Jan 02 2024 Paul Thomas <paulthomas100199@gmail.com> - 5.113.0-1
- update to version 5.113.0

* Thu Aug 03 2023 zhangkea <zhangkea@uniontech.cn> - 5.108.0-1
- Update version to 5.108.0

* Fri Dec 09 2022 liqiuyu <liqiuyu@kylinos.cn> - 5.100.0-1
- Update package to version 5.100.0

* Mon Sep 05 2022 liweiganga <liweiganga@uniontech.com> - 5.97.0-1
- update to upstream version 5.97.0

* Mon Jul 04 2022 loong_C <loong_c@yeah.net> - 5.95.0-1
- update to upstream version 5.95.0

* Fri Feb 11 2022 tanyulong <tanyulong@kylinos.com> - 5.90.0-1
- update to upstream version 5.90.0

* Thu Jan 20 2022 peijiankang<peijiankang@kylinos.com> - 5.88.0-1
- update to upstream version 5.88.0

* Sat Mar 07 2020 daiqianwen <daiqianwen@huawei.com> - 5.59.0-2
- Package init

